<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns:wicket>
<head>
    <title></title>
    <link rel="stylesheet" href="../../../../../../webapp/css/bootstrap.min.css"/>
    <link href="../../../../../../webapp/css/style.css" rel="stylesheet"/>
    <link rel="stylesheet" type="text/css" media="screen" href="../../../../../../webapp/css/font-awesome.min.css"/>
</head>
<body>

<wicket:extend xmlns:wicket="http://wicket.apache.org">

    <!-- niektore default styly pretazime -->
    <style type="text/css">
        select{width: 50px;}
        a{color: #000000;}
        a:hover{text-decoration: none;}
    </style>

    <!-- nadpis -->
    <div wicket:id="nadpisPanel">
        panel pre zobrazenie nadpisu
    </div>

    <!-- info  tom, ze pouzivatel nesplnil podmienky ucasti a bude mu obmedzeny obsah -->
    <div wicket:id="nesplnilPodmienkyPanel" class="col-xs-12 msg warning">
        <div class="row">
            <div class="col-xs-1 hidden-xs">
                <i class="fa fa-warning fa-3x fa-fw" aria-hidden="true"></i>
            </div>
            <div class="col-xs-11">
                Nesplnili ste podmienky účasti, preto Vám bude obmedzený prístup na obsah.
                To znamená, že neuvidíte svoje tipy a získané body z natipovaných zápasov, napriek
                tomu môžete aj naďalej tipovať výsledky zápasov.
                Odporúčame Vám splniť si podmienky účasti.
            </div>
        </div>
    </div>

    <div class="col-xs-12 col-md-6">
        <p>
            Tipovať a meniť svoj tip na víťaza ročníka súťaže je možné počas celeho priebehu súťaže.
            Podľa poslednej zmeny tipu sa budú pridelovať výsledné body.<br/>
            Ak bol tip na víťaza správny a posledná zmena tipu bola pred začiatkom súťaže, získava tipér plný
            počet bodov, ak tipoval v priebehu základnej časti, získava 1/2, ak vo štvrťfinále 1/4, v semifinále 1/8
            a po semifinále získava tiper 1 bod.<br />
            Svoju voľbu na víťaza potvrďte stlačním tlačítka
            "<i class="fa fa-cog fa-fw" aria-hidden="true"></i> Spracovať tip na víťaza", alebo skúste šťastie
            stlačením tlačítka "<i class="fa fa-thumbs-up fa-fw" aria-hidden="true"></i> Náhodne tipnúť víťaza".
        </p>

        <!-- tip na vitaza sutaze -->
        <form class="form-horizontal" wicket:id="tipNaVitazaForm">
            <div class="row">
                <div class="form-group col-xs-10">
                    <label class="control-label col-xs-4" for="vitaz">Tip&nbsp;na&nbsp;víťaza</label>
                    <div class="col-xs-8">
                        <select id="vitaz" style="width: 100%;" wicket:id="tipNaVitaza">
                            <option>vyberte</option>
                        </select>
                    </div>
                </div>
                <div class="col-xs-1" wicket:id="tipNaVitazaVlajkaDiv">
                    <img wicket:id="tipNaVitazaVlajka" />
                </div>
                <div class="col-xs-1" wicket:id="body" title="Získané body">
                    0
                </div>
                <div class="clearfix"></div>
            </div>
            <div class="col-xs-12">
                <button wicket:id="spracovatTipNaVitazaButton" type="submit" class="btn btn-success">
                    <i class="fa fa-cog fa-fw" aria-hidden="true"></i>
                    <span class="hidden-xs">Spracovať tip na víťaza</span>
                </button>
                <button wicket:id="nahodneTipyNaVitazaButton" type="button" class="btn btn-default">
                    <i class="fa fa-thumbs-up fa-fw" aria-hidden="true"></i>
                    <span class="hidden-xs">Náhodne tipnúť víťaza</span>
                </button>
            </div>
        </form>
        <br/>
        <br/>

        <!-- tip na zapas daneho dna -->
        <p>
            Tipovať a meniť svoj tip na zápas sa dá do začiatku samotného zápasu. Tipuje sa konečný výsledok.
            Pre zobrazenie daľších hracích dní kliknite na link
            "<i class="fa fa-chevron-left fa-fw" aria-hidden="true"></i>&nbsp;staršie novšie&nbsp;<i class="fa fa-chevron-right fa-fw" aria-hidden="true"></i>"<br />
            Pred prechodom na ďalší hrací deň uložte zmeny v tipoch na zápas stlačením tlačítka
            "<i class="fa fa-cog fa-fw" aria-hidden="true"></i> Spracovať tipy na zápas". Všetky neuložené zmený sa pri prechode na
            ďalší hrací deň stratia.<br/>
            Stlačením tlačítka "<i class="fa fa-thumbs-up fa-fw" aria-hidden="true"></i> Náhodne natipovať zápasy" sa nenatipovaným zápasom
            hracieho dňa vygenerujú a uložia tipy.<br/>
        </p>

        <div wicket:id="tipNaZapasDiv" style="clear: both;">
            <form class="form-horizontal" wicket:id="tipNaZapasForm">
                <!-- vyber dna, za ktory sa maju zobrazit tipy -->
                <div class="col-xs-12" style="margin-bottom: 5px;">
                    <div class="pull-left">
                        Tipy na zápasy
                        <span wicket:id="den">01.01.2013</span>
                        -
                        <span wicket:id="denTyzdni">pondelok</span>
                    </div>

                    <div class="pull-right">
                        <a wicket:id="denDozaduLink"
                           class="btn btn-default btn-xs"
                           title="Prechod na starší hrací deň">
                            <i class="fa fa-chevron-left fa-fw" aria-hidden="true"></i>&nbsp;staršie
                        </a>
                        <a wicket:id="denDopreduLink"
                           class="btn btn-default btn-xs"
                           title="Prechod na novší hrací deň">
                            novšie&nbsp;<i class="fa fa-chevron-right fa-fw" aria-hidden="true"></i>
                        </a>
                    </div>
                </div>
                <!-- zoznam zapasov na vybrany den -->
                <table class="table" style="margin-bottom: 0;">
                    <tbody>
                    <tr wicket:id="tipNaZapasRiadok">
                        <td class="stred" style="width: 15px;">
                            <span wicket:id="statusIcon" style="cursor: default;"></span>
                            <a wicket:id="highlights" target="_blank" title="Highlights zápasu">
                                <span class="fa fa-file-video-o" aria-hidden="true"></span>
                            </a>
                        </td>
                        <td class="stred" wicket:id="datum" style="width: 35px;">15:15</td>
                        <td class="hidden-xs" wicket:id="domaciNazov" style="text-align: right; vertical-align: middle;">
                            Hostia
                        </td>
                        <td class="stred" style="width: 24px;">
                            <img wicket:id="domaciVlajka" />
                        </td>
                        <td class="stred" style="width: 55px;">
                            <select wicket:id="golyDomaci" title="Góly domáci">
                                <option value="">1</option>
                            </select>
                        </td>
                        <td class="stred" style="width: 45px;">
                            <span wicket:id="skore">1:0</span>
                        </td>
                        <td class="stred" style="width: 55px;">
                            <select wicket:id="golyHostia" title="Góly hostia">
                                <option value="">1</option>
                            </select>
                        </td>
                        <td class="stred" style="width: 24px;">
                            <img wicket:id="hostiaVlajka" />
                        </td>
                        <td class="hidden-xs" wicket:id="hostiaNazov" style="text-align: left; vertical-align: middle;">
                            Hostia
                        </td>
                        <td wicket:id="body" class="stred" style="width: 15px;" title="Získané body">
                            0
                        </td>
                    </tr>
                    </tbody>
                </table>
                <button wicket:id="spracovatTipyNaZapasButton" type="submit" class="btn btn-success">
                    <i class="fa fa-cog fa-fw" aria-hidden="true"></i>
                    <span class="hidden-xs">Spracovať tipy na zápas</span>
                </button>
                <button wicket:id="nahodneTipyNaDenButton" type="button" class="btn btn-default">
                    <i class="fa fa-thumbs-up fa-fw" aria-hidden="true"></i>
                    <span class="hidden-xs">Náhodne natipovať zápasy</span>
                </button>
            </form>
        </div>
        <br />

        <!-- nahodne tipy na vsetky dostupne zapasy -->
        <p>
            <span wicket:id="nahodneTipyRocnikText">
                Náhodne natipovať všetky dostupné ešte nenatipované zápasy?
            </span>
            <button wicket:id="nahodneTipyRocnikButton" type="button" class="btn btn-success">
                <i class="fa fa-check fa-fw" aria-hidden="true"></i> Áno, natipovať
            </button>
        </p>
    </div>

    <div class="col-xs-12 col-md-6">
        <p>
            Detailná štatistika tipovania jednotlivých používateľov.
        </p>

        <div class="text-left" style="font-size: 10px; color: #595959;">
            posledná aktualizácia <span wicket:id="aktualizovane">10.0.2014 14:12</span>
        </div>

        <table class="table">
            <thead>
            <tr>
                <th rowspan="2">
                    <a wicket:id="aktualizujTabulkuLink"
                       style="cursor: pointer;"
                       title="Aktulizuje priebeh ročníka">
                        <i style="font-size: 15px;" class="fa fa-refresh fa-fw" aria-hidden="true"></i>
                    </a>
                </th>
                <th rowspan="2" title="Prihlasovací login používateľa">Login</th>
                <th rowspan="2" title="Celkový počet získaných bodov">Body</th>
                <th rowspan="2" title="Počet tipovaných zápasov (tip na odohratý zápas/celkový počet tipov na zápas)">Počet tipov</th>
                <th colspan="5" style="text-align: center;">Počet tipov</th>
            </tr>
            <tr>
                <th wicket:id="tipNicHead" title="Počet tipov, kde nebolo nič tipnute správne">0b</th>
                <th wicket:id="tipGolHead" title="Počet tipov, kde bol tipnutý iba správny počet gólov jedného mužstva">2b</th>
                <th wicket:id="tipVitazHead" title="Počet tipov, kde bol tipnutý iba správny víťaz">6b</th>
                <th wicket:id="tipVitazGolHead" title="Počet tipov, kde bol tipnutý správny víťaz a počet strelených gólov jedného mužstva">8b</th>
                <th wicket:id="tipVysledokHead" title="Počet tipov, kde bolo tipnute všetko správne, víťaz aj počet strelených gólov oboch mužstiev">10b</th>
            </tr>
            </thead>
            <tbody>
            <tr wicket:id="riadokTabulky">
                <td wicket:id="poradie">1</td>
                <td>
                    <span wicket:id="login"></span>
                    <br />
                    <span wicket:id="bestNaZapas"
                          class="fa fa-star-o fa-fw"
                          title="Najlepší v tipovani na víťaza zápasu"></span>
                    <span wicket:id="bestNaSkore"
                          class="fa fa-bullseye fa-fw"
                          title="Najlepší v tipovani na skore zápasu"></span>
                    <span wicket:id="bestNahoda"
                          class="fa fa-cube fa-fw"
                          title="Najlepší v tipovani pomocou náhodného tipu"></span>
                    <span wicket:id="nezaplatil"
                          class="fa fa-frown-o fa-fw"
                          style="color: red;"
                          title="Žgrloš, ešte nezaplatil, tak ako keby nehral"></span>
                </td>
                <td>
                    <span wicket:id="body"
                          title="Počet získaných bodov">0</span>
                    <br/>
                    <span wicket:id="rozdiel"
                          class="popis"
                          title="Rozdiel bodov voči víťazovi">(0)</span>
                </td>
                <td>
                    <span wicket:id="pocetTipov" title="Počet tipov na odohraté zápasy">0</span>
                    /
                    <span wicket:id="pocetZadanychTipov" title="Počet celkovo zadaných tipov">0</span>
                </td>
                <td wicket:id="pocetNic">0</td>
                <td wicket:id="pocetGoly">0</td>
                <td wicket:id="pocetVitazstvo">0</td>
                <td wicket:id="pocetVitazstvoGol">0</td>
                <td wicket:id="pocetVysledok">0</td>
            </tr>
            </tbody>
        </table>

        <div class="small">
            <span class="fa fa-star-o fa-fw"></span> - Najlepší v tipovani na víťaza zápasu<br/>
            <span class="fa fa-bullseye fa-fw"></span> - Najlepší v tipovani na skore zápasu<br/>
            <span class="fa fa-cube fa-fw"></span> - Najlepší v tipovani pomocou náhodného tipu<br/>
            <span class="fa fa-frown-o fa-fw" style="color: red;"></span> - Žgrloš, ešte nezaplatil, tak ako keby nehral<br/>
        </div>
    </div>
</wicket:extend>
</body>
</html>